'use strict';

const types = require('@babel/types');
const helperPluginUtils = require('@babel/helper-plugin-utils');

const index = helperPluginUtils.declare(() => {
  const visitor = {
    JSXOpeningElement: (path) => {
      const attributes = path.node.attributes;
      attributes.forEach((attr) => {
        if (attr.type === "JSXAttribute" && !attr.value) {
          attr.value = types.stringLiteral("");
        }
      });
    }
  };
  return {
    name: "plugin-attributify-jsx",
    visitor: {
      Program(path) {
        path.traverse(visitor);
      }
    }
  };
});

module.exports = index;
