import { stringLiteral } from '@babel/types';
import { declare } from '@babel/helper-plugin-utils';

const index = declare(() => {
  const visitor = {
    JSXOpeningElement: (path) => {
      const attributes = path.node.attributes;
      attributes.forEach((attr) => {
        if (attr.type === "JSXAttribute" && !attr.value) {
          attr.value = stringLiteral("");
        }
      });
    }
  };
  return {
    name: "plugin-attributify-jsx",
    visitor: {
      Program(path) {
        path.traverse(visitor);
      }
    }
  };
});

export { index as default };
